BadMethodCallException
InvalidArgumentException
Exceptions
PHP Manual

# The DomainException class

## Einführung

Exception thrown if a value does not adhere to a defined valid data domain

## Klassenbeschreibung

DomainException
DomainException extends LogicException {
/* Geerbte Methoden */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

BadMethodCallException
InvalidArgumentException
Exceptions
PHP Manual